
#ifndef FailureContexth
#define FailureContexth

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_FailureContexth
#   undef epicsExportSharedSymbols
#endif

#include "FixedString.h"
#include "da.h"

#ifdef epicsExportSharedSymbols_FailureContexth
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

namespace ca {

using namespace da;

class FailureContext : 
    public Catalog {
public:
    FailureContext ( const char * pCtxString );
    void traverse ( Introspector & ) const;
    void find ( const Ident &, Viewer & ) const;
private:
    FixedString < 128 > m_ctxString;
};

} // end of name space ca

#endif  // ifndef FailureContexth
