

/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 *
 *
 *                    L O S  A L A M O S
 *              Los Alamos National Laboratory
 *               Los Alamos, New Mexico 87545
 *
 *  Copyright, 1986, The Regents of the University of California.
 *
 *
 *	Author Jeffrey O. Hill
 *	johill@lanl.gov
 */

#error defunct

#ifndef IterOuth
#define IterOuth

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_IterOuth
#   undef epicsExportSharedSymbols
#endif

#include "epicsTypes.h"
#include "osiWireFormat.h"

#ifdef epicsExportSharedSymbols_IterOuth
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

class StringReader;

namespace ca {


#pragma message ("needs to move parent Iterator forward when creating subord Iterator?")
#pragma message ("needs to be created with a limit on the amount of space that can be used?")

//
// IB, the buffer iterator, has an interface like this
// class IB {
// public:
//     IB (); // end of buffer list
//     IB ( const IB & );
//     IB & operator = ( const IB & );
//     ~IB ();
//     void next ( VecGuard < const epicsUInt8 > &, size_t nBytesToSkip = 0 );
//     void commit ( VecGuard < const epicsUInt8 > & );
//     template < class Elem >
//     void allocBufPtr ( Ptr < Elem > & pBuf );
//     template < class Elem >
//     void releaseBufPtr ( Ptr < Elem > & pBuf );
// };
//


} // end of namespace ca

#endif // ifndef IterOuth
