

/*
 *      Author  Jeffrey O. Hill
 *              johill@lanl.gov
 *              505 665 1831
 */

#error defunt ?

#include "errlog.h"

#define epicsExportSharedSymbols
#include "caPtr.h"

namespace ca {

void ReleaseNotify :: 
    release ( const Guard & guard )
{
    try {
        m_release ( guard );
    }
    catch ( std :: exception & except ) {
        errlogPrintf ( 
            "exception occurring while calling "
            "ca :: ReleaseNotify :: destroy was \"%s\"\n",
            except.what () );
    }
    catch ( ... ) {
        errlogPrintf ( 
            "a non-standard exception occured while "
            "calling ca :: ReleaseNotify :: destroy\n" );
    }
}

} // end of namespace ca
