/*
 *
 *
 *                    L O S  A L A M O S
 *              Los Alamos National Laboratory
 *               Los Alamos, New Mexico 87545
 *
 *
 *	Author Jeffrey O. Hill
 *	johill@lanl.gov
 */

#error maybe defunct

#ifndef RequestToDoNothingh
#define RequestToDoNothingh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_RequestToDoNothingh
#   undef epicsExportSharedSymbols
#endif

// external headers included here

#ifdef epicsExportSharedSymbols_RequestToDoNothingh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

#include "casdef2.h"

namespace ca {

class RequestToDoNothing :
    public Request {
public:
    void destroy ( Guard & ) {}
    void cancel ( Guard & ) {}
    void show ( Guard &, unsigned ) const {}
    void initiate ( Guard &, 
        struct Responder &, PCat & ) {}
};

epicsShareExtern RequestToDoNothing requestToDoNothing;

} // end of namespace ca

#endif // ifndef RequestToDoNothingh
