
//
// VarLenStrRef.h,v 1.3 2009/11/24 01:34:22 jhill Exp
//
// Authors: Jeff Hill, johill@lanl.gov
//          Ralph Lange, Ralph.Lange@aps.anl.gov

#ifndef VarLenStrRef_h
#define VarLenStrRef_h

#ifdef epicsExportSharedSymbols
#undef epicsExportSharedSymbols
#define epicsExportSharedSymbolsRestore_VarLenStrRef
#endif

#include "ConString.h"

#ifdef epicsExportSharedSymbolsRestore_VarLenStrRef
#define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

class VarLenStrRef : public ConStringEditor {
public:
	VarLenStrRef ( char * pBuf, 
		size_t initialLength, size_t capacity );
    virtual ~VarLenStrRef () {}
    size_t size () const;
    //void * operator new ( size_t, void * p );
    //void * operator new ( size_t );
private:
    char * m_pBuf;
    size_t m_len;
	size_t m_capacity;
    const char * getBuffer() const;
    char * getBuffer();
    void setSize ( size_t len );
    size_t capacity() const;
    void reserve ( size_t cap );
};

#if 0
#pragma message ("junkyard")
inline void * VarLenStrRef :: operator new ( 
    size_t, void * p )
{
    return p;
}

inline void * VarLenStrRef :: operator new ( 
    size_t size )
{
    return :: operator new ( size );
}
#endif

#endif // VarLenStrRef_h