
/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 *      beaconTimer.h,v 1.4 2009/09/04 23:22:58 jhill Exp
 *
 *      Author  Jeffrey O. Hill
 *              johill@lanl.gov
 *              505 665 1831
 */

#error defunct

#ifndef beaconTimerh
#define beaconTimerh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_beaconTimerh
#   undef epicsExportSharedSymbols
#endif

// external headers included here
#include "epicsTimer.h"
#include "caProto.h"

#ifdef epicsExportSharedSymbols_beaconTimerh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

#if ! defined ( __GNUC__ ) || __GNUC__ > 2 || ( __GNUC__ == 2 && __GNUC_MINOR__ >= 95 )
namespace ca {
#endif

class caServerI;


#if ! defined ( __GNUC__ ) || __GNUC__ > 2 || ( __GNUC__ == 2 && __GNUC_MINOR__ >= 95 )
} // end of namespace ca
#endif

#endif // ifdef beaconTimerh

