

#ifndef caSvrCirRspThrChanCreateh
#define caSvrCirRspThrChanCreateh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_caSvrCirRspThrChanCreateh
#   undef epicsExportSharedSymbols
#endif

#ifdef epicsExportSharedSymbols_caSvrCirRspThrChanCreateh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

#include "caSvrCirRspThr.h"

namespace ca {
namespace Svr {
namespace Cir {

class RspThr :: ChanCreate :
    public Responder
{
public:
    ChanCreate ( caResId cid, caResId sid );
    void enqueuSuccessResp ( caResId sid );
    void enqueuFailResp ();
    void show ( unsigned level ) const;
private:
    caResId m_cid;
    caResId m_sid;
    void m_responseNotify ( const PCat & );
    void m_show ( unsigned level ) const;
    ChanCreate ( const ChanCreate & ); // disabled
    ChanCreate & operator = ( const ChanCreate & ); // disabled
};

#if 0
class RspThr :: ChanDelete 
{
public:
    ChanDelete ( Guard &, RspThr &, caResId cid );
private:
    class EventCallback : 
        public EvQue :: Callback {
    public:
        void success ( Guard &, PCat & );
        void fail ( Guard &, PCat & );
        void release ( Guard & );
    };
    EvQue :: Event m_event;
    EventCallback m_eventCallback;
    RspThr & m_respThread;
    ~ChanDelete (); // see EventCallback :: release
    ChanDelete ( const ChanDelete & ); 
    ChanDelete & operator = ( const ChanDelete & ); 
};
#endif

} // end of namespace Cir
} // end of namespace Svr
} // end of namespace ca

#endif // caSvrCirRspThrChanCreateh
