
#ifndef caSvrDGRspThrEchoh
#define caSvrDGRspThrEchoh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_caSvrDGRspThrEchoh
#   undef epicsExportSharedSymbols
#endif

#ifdef epicsExportSharedSymbols_caSvrDGRspThrEchoh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

#include "caHdrLargeArray.h"
#include "caSvrDGRspThr.h"
#include "DGParm.h"

namespace ca {

struct DatagramOut;
struct DatagramAgent;

namespace Svr {
namespace DG {

class RspThr :: Echo {
public:
    Echo ( RspThr &, DGParm &, 
        const HdrLargeArray &, IterIn & payload );
    ~Echo (); 
private:
    class M_Responder : 
        public Responder {
    private:
        void m_responseNotify ( const PCat & );
        void m_show ( unsigned ) const;
    };
    DGParm m_dgParm;
    const HdrLargeArray m_msg;
    char m_payload [ MAX_UDP_SEND ];
    M_Responder m_responder;
    Echo ( const Echo & ); // disabled
    Echo & operator = ( const Echo & ); // disabled
};

} // end of namespace DG
} // end of namespace Svr
} // end of namespace ca

#endif // ifndef caSvrDGRspThrEchoh
