
/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 *
 *      Author  Jeffrey O. Hill
 *              johill@lanl.gov
 *              505 665 1831
 */

#error defunct

#ifndef casAsyncReadIOIh
#define casAsyncReadIOIh

#include "casAsyncIOI.h"
#include "casdef.h"

class casAsyncReadIOI : public casAsyncIOI {
public:
	casAsyncReadIOI ( const caHdrLargeArray & hdr );
    ~casAsyncReadIOI ();
	//caServer *getCAS () const;
private:
	const caHdrLargeArray m_hdr;
	//casChannelI & m_chan; 
    void success ( Guard &, const Catalog & respParms );
    void failure ( Guard &, const Abberation & );
	casAsyncReadIOI ( const casAsyncReadIOI & );
	casAsyncReadIOI & operator = ( const casAsyncReadIOI & );
};

#endif // casAsyncReadIOIh
