
//
// Author: Jeff Hill, johill@lanl.gov
//

#define epicsExportSharedSymbols
#include "cadbr.h"

namespace ca {
namespace dbr {

epicsShareDef Ident pi_value ( "value" );

// value direct subordinates
epicsShareDef Ident pi_limits ( "limits" );
epicsShareDef Ident pi_time ( "time" );
epicsShareDef Ident pi_precision ( "precision" );
epicsShareDef Ident pi_units ( "units" );
epicsShareDef Ident pi_alarm ( "alarm" );

// enumerated
epicsShareDef Ident pi_stateSet ( "stateSet" );
epicsShareDef Ident pi_labels ( "labels" );
epicsShareDef Ident pi_size ( "size" );

// for alarm condition
epicsShareDef Ident pi_acknowledge ( "acknowledge" );
epicsShareDef Ident pi_condition ( "condition" );
epicsShareDef Ident pi_status ( "status" );
epicsShareDef Ident pi_severity ( "severity" );
epicsShareDef Ident pi_pending ( "pending" );

// for control, display, warning, alarm limits
epicsShareDef Ident pi_control ( "control" );
epicsShareDef Ident pi_display ( "display" );
epicsShareDef Ident pi_upper ( "upper" );
epicsShareDef Ident pi_lower ( "lower");
epicsShareDef Ident pi_major ( "major" );
epicsShareDef Ident pi_minor ( "minor");

} // end of namespace dbr
} // end of namespace ca

