
#include <cstdarg>

#ifndef protoDiagnostics_h
#define protoDiagnostics_h

class StringReader;

namespace ca {

class NetAddr;

struct HdrLargeArray;

void errlogDumpMsg ( 
    const StringReader & hostName, 
    const StringReader & userName,
    const HdrLargeArray &, 
    const char * pFormat, ... );

void errlogDumpMsgVA ( 
    const StringReader & hostName, 
    const StringReader & userName,
    const HdrLargeArray &, 
    const char * pFormat,
    va_list & vaList );

void errlogDumpMsg ( 
    const NetAddr &,
    const HdrLargeArray &, 
    const char * pFormat, ... );

void errlogDumpMsgVA ( 
    const NetAddr &,
    const HdrLargeArray &, 
    const char * pFormat,
    va_list & vaList );

void dumpMsg ( const struct HdrLargeArray & );

} // end of namespace ca

#endif // ifndef protoDiagnostics_h
