

/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/

//
// caServerIO.h,v 1.2 2009/09/04 23:18:15 jhill Exp
//

#ifndef caServerIOh
#define caServerIOh

#if ! defined ( __GNUC__ ) || __GNUC__ > 2 || ( __GNUC__ == 2 && __GNUC_MINOR__ >= 95 )
namespace ca {
#endif

#pragma message ( "needs new name considering its namespace" )
#error
struct ServerIO {
    static ServerIO * factory ();
    virtual ~ServerIO () {} // ok to use delete
	virtual void show ( 
		Guard &, unsigned level ) const = 0;
    virtual void sendBeacon ( 
		Guard &, ca_uint32_t beaconNo ) = 0;
};

#if ! defined ( __GNUC__ ) || __GNUC__ > 2 || ( __GNUC__ == 2 && __GNUC_MINOR__ >= 95 )
} // end of namespace ca
#endif

#endif // caServerIOh
