
/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/

#ifndef caChannelAddressh
#define caChannelAddressh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_caChannelAddressh
#   undef epicsExportSharedSymbols
#endif

#include "daCatalog.h"

#ifdef epicsExportSharedSymbols_caChannelAddressh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

namespace ca {

using namespace da;

class ChannelAddress : 
    public Catalog {
public:
    // if the value is undefined then revealNexus is used
    ChannelAddress ();
    void traverse ( Introspector & ) const;
    void find ( const Ident & id, Viewer & ) const;
private:
};

} // end of namespace ca

#endif // ifndef caChannelAddressh

