
#ifndef caSvrCirMgrChanCreateh
#define caSvrCirMgrChanCreateh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_caSvrCirMgrChanCreateh
#   undef epicsExportSharedSymbols
#endif

#ifdef epicsExportSharedSymbols_caSvrCirMgrChanCreateh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

#include "CirSvrChan.h"
#include "RspThrChanCreate.h"

namespace ca {
namespace Svr {
namespace Cir {

class Mgr :: Chan :: ChanCreate 
{
public:
    ChanCreate ( caResId cid );
    void enqueuSuccessResp ( caResId sid );
    void enqueuFailResp ();
    void show ( unsigned level ) const;
private:
    RspThr :: ChanCreate m_eventQueueResponder;
    ChanCreate ( const ChanCreate & ); // disabled
    ChanCreate & operator = ( const ChanCreate & ); // disabled
};

} // end of namespace Cir
} // end of namespace Svr
} // end of namespace ca

#endif // caSvrCirMgrChanCreateh
