
#include "caVec.h"

namespace ca {

template <>
size_t Vec < const epicsUInt8 > :: 
	popNetStringAppendTo ( StringEditor & dest, size_t maxChar )
{
    if ( maxChar > m_nElem ) {
        maxChar = m_nElem;
    }
    const char * pAsCharStr = 
	    reinterpret_cast < const char * > ( m_pFirst );
    dest.append ( pAsCharStr , maxChar );
    m_pFirst += maxChar;
    m_nElem -= maxChar;
    return maxChar;
}

} // end of namespace ca

