#error defunct ????
/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/
//
// casStreamIO.h,v 1.2 2009/10/19 03:02:04 jhill Exp
//

#ifndef casStreamIOh
#define casStreamIOh

namespace ca {

struct casStreamWriteIO {       
    virtual ~casStreamWriteIO () {}
	//virtual unsigned getDebugLevel () const = 0;
	virtual void osdSend ( const char * pBuf, size_t nBytes ) = 0;
	virtual void hostName ( char * pBuf, size_t bufSize ) const = 0;
    // maybe visible only with show
    //virtual epicsTime lastRecvTS () const = 0;
};

#pragma message ("to solve solaris read from bcast interface hack we will need to create alternative StreamIO implementation?")
struct casStreamReadIO {
public:
    virtual ~casStreamReadIO () {}
    virtual size_t incomingBytesPresent () const = 0;
    virtual size_t osdRecv ( char *pBuf, size_t bufSize ) = 0;
    virtual void hostName ( char * pBuf, size_t bufSize ) const = 0;
    // maybe visible only with show
    //virtual epicsTime lastSendTS () const = 0;
};

struct StreamIO : 
    public casStreamReadIO,
    public casStreamWriteIO {
    virtual ~StreamIO () {} // delete is ok
    virtual void forceDisconnect () = 0;
	virtual size_t optimumBufferSize () = 0;
    //virtual const caNetAddr getAddr() const = 0;
	virtual void show ( unsigned level ) const = 0;
};

} // end of namespace ca

#endif // casStreamIOh

