
#define epicsExportSharedSymbols
#include "casdef2.h"

namespace ca {

Ident Channel :: name ( "name" );
Ident Channel :: priority ( "priority" );
Ident Channel :: circuitState ( "circuitState" );
Ident Channel :: nativeType ( "nativeType" );
Ident Channel :: nativeTypeSize ( "nativeTypeSize" );
Ident Channel :: nativeBounds ( "nativeBounds" );
Ident Request :: read ( "read" );
Ident Request :: write ( "write" );
Ident Request :: subscribe ( "subscribe" );
Ident Request :: resolveName ( "resolveName" );
Ident Responder :: success ( "success" );
Ident Responder :: failure ( "failure" );
Ident Responder :: context ( "context" );

Service :: 
    ~Service () 
{
}

Channel :: 
    ~Channel () 
{
}

Request :: 
    ~Request () 
{
}

Responder :: 
    ~Responder () 
{
}

class Responder :: NotifyAfterCancelExcept :
    public exception {
public:
    const char * what () const throw ();
};

} // end of namespace ca
