
/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 *
 *      Author  Jeffrey O. Hill
 *              johill@lanl.gov
 *              505 665 1831
 */

#error defunct

#ifndef legacyTypesh
#define legacyTypesh

#ifdef epicsExportSharedSymbols
#   define epicsExportSharedSymbols_legacyTypesh
#   undef epicsExportSharedSymbols
#endif

#include "db_access.h"

#ifdef epicsExportSharedSymbols_legacyTypesh
#   define epicsExportSharedSymbols
#   include "shareLib.h"
#endif

#include "casdef2.h"

#if ! defined ( __GNUC__ ) || __GNUC__ > 2 || ( __GNUC__ == 2 && __GNUC_MINOR__ >= 95 )
namespace ca {
#endif

Service :: Type & dbrToType ( unsigned dbrType );

#if ! defined ( __GNUC__ ) || __GNUC__ > 2 || ( __GNUC__ == 2 && __GNUC_MINOR__ >= 95 )
} // end of namespace ca
#endif

#endif // legacyTypesh
