
/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE Versions 3.13.7
* and higher are distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/
//
// sockIntfIO.h,v 1.2 2009/10/23 21:47:45 jhill Exp
//

#error defunct ????

#ifndef sockIntfIOh
#define sockIntfIOh 

#include "caIntfIO.h"

class sockIntfIO : 
    public casNetIntf {
public:
	sockIntfIO ( const caNetAddr & addr );
	~sockIntfIO ();
	void show ( unsigned level ) const;
    caNetAddr address () const;
	StreamIO & circuitFactory ();
    StreamIO & datagramIntfFactory (
        const caNetAddr &, bool autoBeaconAddr, 
        bool addConfigBeaconAddr );
private:
	SOCKET sock;
	struct sockaddr_in addr;
};

#endif // sockIntfIOh
